Bug 605641 (CVE-2010-2225, MOPS-2010-061)

Summary: CVE-2010-2225 php: SplObjectStorage unserialization flaws (MOPS-2010-061)
Product: [Other] Security Response Reporter: Josh Bressers <bressers>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: fedora, jorton, mharris, mjc, rpm, tis, vdanen
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: public=20100618,reported=20100618,source=internet,rhel-6/php=notaffected/impact=important/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,fedora-all/php=affected/impact=important/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P,Stacks-v2/php=affected/impact=important/cvss2=6.8/AV:N/AC:M/Au:N/C:P/I:P/A:P
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1093026 (view as bug list) Environment:
Last Closed: 2012-06-15 14:27:47 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 605644, 605645, 609180, 1093026    
Bug Blocks:    

Description Josh Bressers 2010-06-18 09:09:39 EDT
A vulnerability was found in the SplObjectStorage unserializer.  If the PHP
unserialize() function is used by a script on untrusted data provided by a
remote attacker the attacker may be able to force an information leak or
remote execution of code on the server.

This was reported by Stefan Esser at the SyScan'10 Conference in Singapore.
Comment 2 Josh Bressers 2010-06-18 09:11:23 EDT
Created php tracking bugs for this issue

Affects: fedora-all [bug 605645]
Comment 3 Mark J. Cox (Product Security) 2010-06-18 10:49:18 EDT
Based on the information we have on this issue so far, it does not affect the versions of php as supplied with Red Hat Enterprise Linux 3, 4, or 5.
Comment 4 Eugene Teo (Security Response) 2010-06-27 20:05:34 EDT
Stefan released an advisory for this vulnerability: http://php-security.org/2010/06/25/mops-2010-061-php-splobjectstorage-deserialization-use-after-free-vulnerability/
Comment 6 Vincent Danen 2010-06-30 14:19:12 EDT
Upstream committed the following fix for this issue:

http://svn.php.net/viewvc?view=revision&revision=300843
Comment 7 Tomas Hoger 2010-07-12 11:44:27 EDT
Blog post with additional information:

http://nibbles.tuxfamily.org/?p=1837
Comment 8 Tomas Hoger 2010-07-23 06:06:22 EDT
Fixed upstream in 5.3.3:
  http://www.php.net/releases/5_3_3.php
Comment 9 Tomas Hoger 2010-07-23 06:08:41 EDT
Statement:

Not vulnerable. This issue did not affect the versions of php as shipped with Red Hat Enterprise Linux 3, 4, or 5.
Comment 10 Mike A. Harris 2012-06-11 17:53:19 EDT
Looks like it's safe to close this bug as "RESOLVED" or "NOTABUG" or somesuch.